package com.njcn.pojo.commons;

import java.io.Serializable;

public class SimpleValue implements Serializable {

	private String checkbox;

	private String name;

	private String gdName;

	private String subName;

	private String ip;

	private String devName;

	private String value;

	private String valueDescription;

	private String index;

	private String node;

	private Integer countOnline;

	private Integer countAll;

	private Float onlineRate;

	//数据完整性
	private Float integrality;

	public Float getOnlineRate() {
		return onlineRate;
	}

	public void setOnlineRate(Float onlineRate) {
		this.onlineRate = onlineRate;
	}

	public Integer getCountOnline() {
		return countOnline;
	}

	public void setCountOnline(Integer countOnline) {
		this.countOnline = countOnline;
	}

	public Integer getCountAll() {
		return countAll;
	}

	public void setCountAll(Integer countAll) {
		this.countAll = countAll;
	}

	/**
	 * @return the node
	 */
	public String getNode() {
		return node;
	}

	/**
	 * @param node the node to set
	 */
	public void setNode(String node) {
		this.node = node;
	}

	public String getCheckbox() {
		return checkbox;
	}

	public void setCheckbox(String checkbox) {
		this.checkbox = checkbox;
	}

	public String getIndex() {
		return index;
	}

	public void setIndex(String index) {
		this.index = index;
	}

	public String getValueDescription() {
		return valueDescription;
	}

	public void setValueDescription(String valueDescription) {
		this.valueDescription = valueDescription;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}


	public Float getIntegrality() {
		return integrality;
	}


	public void setIntegrality(Float integrality) {
		this.integrality = integrality;
	}

	public String getGdName() {
		return gdName;
	}

	public void setGdName(String gdName) {
		this.gdName = gdName;
	}

	public String getSubName() {
		return subName;
	}

	public void setSubName(String subName) {
		this.subName = subName;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getDevName() {
		return devName;
	}

	public void setDevName(String devName) {
		this.devName = devName;
	}

	@Override
	public String toString() {
		return "SimpleValue{" +
				"checkbox='" + checkbox + '\'' +
				", name='" + name + '\'' +
				", gdName='" + gdName + '\'' +
				", subName='" + subName + '\'' +
				", ip='" + ip + '\'' +
				", devName='" + devName + '\'' +
				", value='" + value + '\'' +
				", valueDescription='" + valueDescription + '\'' +
				", index='" + index + '\'' +
				", node='" + node + '\'' +
				", countOnline=" + countOnline +
				", countAll=" + countAll +
				", onlineRate=" + onlineRate +
				", integrality=" + integrality +
				'}';
	}


}

